Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
jorgedl
Posts: 6
Registered: ‎11-13-2013
My Device: 8520
My Carrier: Movistar
Accepted Solution

attempts access secure to api.

Dear I tell them that I'm developing my first application and am having trouble running my applications on a BlackBerry 8520 when I use background images.
Working
3.7.2-eclipse with corresponding pluggin
-BlackBerry JRE 7.1.0
-OS on my device is 5.0.0.592

Bookmark and Share Also I have installed the keys to sign the application in these cases. In the simulator everything goes perfect, but when I go to the device triggers the error "attempts The access to api".
The api I import in my application are eg:
net.rim.device.api.system.Bitmap import;
net.rim.device.api.system.Display import;

The question is whether there is a problem of incompatibility between sdk, jre, etc. for which you have to keep in mind when developing.
I thank you in advance for any information you can give me about it.
regards

Jorge

Please use plain text.
Developer
simon_hain
Posts: 16,000
Registered: ‎07-29-2008
My Device: Z10 LE
My Carrier: O2 Germany

Re: attempts access secure to api.

[ Edited ]

welcome to the support forums.

 

sign the app

 

in addition: the JRE you use has to be the same or lower than the device OS

----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Please use plain text.
New Contributor
jorgedl
Posts: 6
Registered: ‎11-13-2013
My Device: 8520
My Carrier: Movistar

Re: attempts access secure to api.

Perfect, and in this case for my device OS JRE is recommended?
And I can have both versions installed on my Eclipse IDE and compile with the need in various situations?
Thank you very much for your help.

Please use plain text.
Developer
simon_hain
Posts: 16,000
Registered: ‎07-29-2008
My Device: Z10 LE
My Carrier: O2 Germany

Re: attempts access secure to api.

you can have multiple JRE versions installed.
you can install additional JREs using the eclipse update page.

For your device i would suggest to use JRE 5.
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Please use plain text.
New Contributor
jorgedl
Posts: 6
Registered: ‎11-13-2013
My Device: 8520
My Carrier: Movistar

Re: attempts access secure to api.

Thanks simon_hain, really gave me the answer. Download the JRE 5.0 from eclipse, change the library of my project to 5.0, sign the application and it worked properly on device.
I hope that this concern can help more initial developers like me.
many greetings
Jorge

Please use plain text.